#!/bin/bash
dims=(32 64 128 256 512 1024 2048 4096 8192)
models=('l_relu_enn' 'relu_enn' 'inn')

for dim in ${dims[@]}
do
  for model in ${models[@]}
  do
  python main.py --dim $dim \
    --dataset 'mnist'\
    --model  $model\
    --epoch 150;
  done;
done
